Ero sivun ”Keskustelu järjestelmäviestistä:Monobook.css” versioiden välillä

Kohteesta AutoWiki
Siirry navigaatioon Siirry hakuun
 
 
(Yhtä välissä olevaa versiota toisen käyttäjän tekemänä ei näytetä)
(ei mitään eroa)

Nykyinen versio 26. maaliskuuta 2008 kello 22.07

Suosittelen lisäämään koodin:

/*

*/

#p-cactions { left: 11.5em !important; }

.newpage {color:green; font-weight:bold;}
.minoredit {color:gray;}
.minor {color:gray;}

table.diff {
  border: 2px solid #fc6;
}

#readability
.history-user { margin-left:2em; }

/* .voteimage { display:none; } */

/* The styles of the new toolbar */

#fiwiki-bottom-toolbar { 
  margin-top:      0em;
  border:          1px solid silver;
  padding:         0.5em;
}

.fiwiki-special-character {
  border-bottom:   1px solid gray;
  border-right:    1px solid gray;
  padding-left:    0.3em;
  padding-right:   0.3em;
  background:      silver;
  font-size:       medium;
  cursor:          pointer;
}

.fiwiki-feature {
  padding:         0.1em;
  background:      #ffd;
  border:          1px solid #aa8;
  font-size:       x-small;
  color:           gray;
  text-decoration: underline;
  cursor:          pointer;
}

#fiwiki-templatetable {
  padding:         0.5em;
  border:          1px solid #aa8;
}

.fiwiki-templatefeature {
  padding:         0.1em;
  background:      #ffd;
  border:          1px solid #aa8;
  font-size:       x-small;
  color:           gray;
  text-decoration: underline;
  cursor:          pointer;
}

#pt-login {
  font-weight: bold;
  font-size: 110%;
}

form#userlogin {
  float: left;
  padding: 1em 1em .7em 1em;
  background-color: #ffffe6;
  border: 2px solid #fc6;
  color: #000;
  margin-right: 2em;
}

form#userlogin table {
  float: left;
  background-color: #ffffe6;
  color: #000;
}

/* korostetaan redirei */
.allpagesredirect a {
 border-bottom: 2px dotted #00bbff;
}

/****************************/
/* BEGIN LIGHT BLUE SECTION */
/****************************/
/* Make all non-namespace pages have a light blue content area. This is done by
   setting the background color for all #content areas to light blue and then
   overriding it for any #content enclosed in a .ns-0 (main namespace). I then
   do the same for the "tab" background colors. --Lupo */

#content {
    background: #F8FCFF; /* a light blue */
}

#content div.thumb {
    border-color: #F8FCFF;
}

.ns-0 * #content {
    background: white;
}

#mytabs li {
    background: #F8FCFF;
}

.ns-0 * #mytabs li {
    background: white;
}

#mytabs li a {
    background-color: #F8FCFF;
}

.ns-0 * #mytabs li a {
    background-color: white;
}

#p-cactions li a {
    background-color: #F8FCFF;
}

.ns-0 * #p-cactions li a {
    background-color: white;
}

.ns-0 * #content div.thumb {
    border-color: white;
}

.notification {
border-top: 2px solid #ddd; 
border-bottom:2px solid #ddd;
text-align: justify; 
margin: 1em 0.5em; 
padding: 0.5em;
}

/**************************/
/* END LIGHT BLUE SECTION */
/**************************/
/*

*/

/* Fi-wiki template table at Mediawiki:Uploadtext */
.tcell0 { font-size:x-small; color:green; font-weight:bold; }
.tcell1 { font-size:x-small; }
.tcell2 { font-size:x-small; }
.uploadtemplate { border:1px solid silver;}

div.NavFrame {
        margin: 0px;
        padding: 2px;
        border: 1px solid #aaaaaa;
        text-align: center;
        border-collapse: collapse;
}

div.NavFrame + div.NavFrame {
        border-top-style: none;
        border-top-style: hidden;
}
div.NavPic {
        background-color: #ffffff;
        margin: 0px;
        padding: 2px;
        float: left;
}
div.NavFrame div.NavHead {
        height: 1.6em;
        font-weight: bold;
        font-size: 100%;
        background-color: #efefef;
}
div.NavFrame p {
        font-size: 100%;
}
div.NavFrame div.NavContent {
        font-size: 100%;
}
div.NavFrame div.NavContent p {
        font-size: 100%;
}
div.NavEnd {
        margin: 0px;
        padding: 0px;
        line-height: 1px;
        clear: both;
}
.NavToggle {
   float:right;
}

/* For positioning icons at top-right, used in Templates
   "Spoken Article" and "Featured Article" */

div.topicon {
  position:absolute; 
  z-index:100; 
  top:10px;
  display: block !important;
}

@media print {
    /* Do not print edit link in templates using Template:Ed
       Do not print certain classes that shouldn't appear on paper */
    .editlink, .noprint, .metadata, .dablink { display: none }
    #content { background: #FFFFFF; } /* white background on print */
}

/*
  • /